Skip to main content
POST
/
api
/
v2
/
auditlog
/
counts
Get audit log entry counts
curl --request POST \
  --url https://app.launchdarkly.com/api/v2/auditlog/counts \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "effect": "allow",
    "resources": [
      "proj/*:env/*:flag/*;testing-tag"
    ],
    "notResources": [
      "<string>"
    ],
    "actions": [
      "*"
    ],
    "notActions": [
      "<string>"
    ]
  }
]
'
{
  "buckets": [
    {
      "timestamp": 123,
      "count": 123
    }
  ],
  "totalCount": 123,
  "bucketIntervalMs": 123
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Query Parameters

before
integer<int64>

A timestamp filter, expressed as a Unix epoch time in milliseconds. Defaults to now.

after
integer<int64>
required

A timestamp filter, expressed as a Unix epoch time in milliseconds. Required.

buckets
integer<int64>

Number of time buckets to divide the range into. Default 50, max 500.

Body

application/json
effect
enum<string>
required

Whether this statement should allow or deny actions on the resources.

Available options:
allow,
deny
Example:

"allow"

resources
string[]

Resource specifier strings

Example:
["proj/*:env/*:flag/*;testing-tag"]
notResources
string[]

Targeted resources are the resources NOT in this list. The resources field must be empty to use this field.

actions
string[]

Actions to perform on a resource

Example:
["*"]
notActions
string[]

Targeted actions are the actions NOT in this list. The actions field must be empty to use this field.

Response

Audit log entry counts response

buckets
object[]
required
totalCount
integer<int64>
required
bucketIntervalMs
integer<int64>
required